#!/bin/bash

################################################################################
#   Author : Yves Vanaubel                                                     #
#   Date : 14/01/2015                                                          #
################################################################################

shopt -s extglob

if [ $# -ne 3 ]
then
    echo 'Usage : ./get_LPRA_distributions/sh <input_dir> <output_dir> <subclasses>'
    exit 1
fi

input_dir=$1
output_dir=$2
subclasses=$3

script_dir=$(dirname $0)

if [ -e $output_dir ]
then
    rm -rf $output_dir
fi
mkdir $output_dir

# Consider each cycle
for as in `ls $input_dir`;
do
    n=$(echo $(wc -l < $input_dir/$as))
    # First line is comment
    let 'n = n - 1'
    if [ $subclasses -eq 1 ]
    then
        awk '{print $2}' $input_dir/$as | grep -v "#" | sort | uniq -c | sed -e 's/\./,/g' | awk -f $script_dir/cdf.awk -v tot=$n | sed -e 's/,/./g'  > $output_dir/$as
    else
        awk '{print $2}' $input_dir/$as | grep -v "#" | awk '{split($1, a, "."); print a[1]}' | sort | uniq -c | sed -e 's/\./,/g' | awk -f $script_dir/cdf.awk -v tot=$n | sed -e 's/,/./g'  > $output_dir/$as
    fi
done
